## org.eclipse.datatools.enablement.sybase.ase.ui
Class ASEImages

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ase.ui.ASEImages

    public class ASEImages

extends java.lang.Object

Author:
  Li Huang

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_DIRPROXYTABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_DISABLEDTRIGGER`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_FILEPROXYTABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_PROXYDATABASE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOTETABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_RPCPROXYTABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_WEBSERVICETABLE`
`static java.lang.String` `IMG_DIRPROXYTABLE`
`static java.lang.String` `IMG_DISABLEDTRIGGER`
`static java.lang.String` `IMG_FILEPROXYTABLE`
`static java.lang.String` `IMG_PROXYDATABASE`
`static java.lang.String` `IMG_REMOTETABLE`
`static java.lang.String` `IMG_RPCPROXYTABLE`
`static java.lang.String` `IMG_WEBSERVICETABLE`

Constructor Summary
`ASEImages()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_WEBSERVICETABLE

    public static final java.lang.String IMG_WEBSERVICETABLE

See Also:
  Constant Field Values

### IMG_DIRPROXYTABLE

    public static final java.lang.String IMG_DIRPROXYTABLE

See Also:
  Constant Field Values

### IMG_FILEPROXYTABLE

    public static final java.lang.String IMG_FILEPROXYTABLE

See Also:
  Constant Field Values

### IMG_REMOTETABLE

    public static final java.lang.String IMG_REMOTETABLE

See Also:
  Constant Field Values

### IMG_RPCPROXYTABLE

    public static final java.lang.String IMG_RPCPROXYTABLE

See Also:
  Constant Field Values

### IMG_DISABLEDTRIGGER

    public static final java.lang.String IMG_DISABLEDTRIGGER

See Also:
  Constant Field Values

### IMG_PROXYDATABASE

    public static final java.lang.String IMG_PROXYDATABASE

See Also:
  Constant Field Values

### DESC_WEBSERVICETABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_WEBSERVICETABLE

### DESC_DIRPROXYTABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_DIRPROXYTABLE

### DESC_FILEPROXYTABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_FILEPROXYTABLE

### DESC_REMOTETABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOTETABLE

### DESC_RPCPROXYTABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_RPCPROXYTABLE

### DESC_DISABLEDTRIGGER

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_DISABLEDTRIGGER

### DESC_PROXYDATABASE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_PROXYDATABASE

Constructor Detail

### ASEImages

    public ASEImages()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key